%
%       --- H2T                                         
%       --- HYCON2 Matlab Toolbox           
%
%       --- Power Network System example
%
%       >>> Open PNS_start.m to begin <<<

H  = [12 10 8 8];
R  = [0.05 0.0625 0.08 0.08];
De  = [0.7 0.9 0.9 0.7];
Tt = [0.65 0.4 0.3 0.6];
Tg = [0.1 0.1 0.1 0.1];
P  = zeros(4);
P(1,2) = 4;
P(2,3) = 2;
P(3,4) = 2;
P = P+P';

DtetaMIN = [0.1 0.1 0.1 0.1];
DtetaMAX = [0.1 0.1 0.1 0.1];
DrefMIN  = [0.5 0.65 0.65 0.55];
DrefMAX  = [0.5 0.65 0.65 0.55];

link{1} = 2;
link{2} = [1,3];
link{3} = [2,4];
link{4} = 3;

name_external_inputs = {};
name_external_outputs = {};

A = {};
B = {};
C = {};
D = {};

%% State-Space model
N = 4;
for i = 1:N
    A{i}   = [0 1 0 0; -sum(P(1:N,i))/(2*H(i)) -De(i)/(2*H(i)) 1/(2*H(i)) 0; 0 0 -1/Tt(i) 1/Tt(i); 0 -1/(R(i)*Tg(i)) 0 -1/Tg(i)];
      
    name_states{i} = { strcat('delta',num2str(i))
              strcat('omega',num2str(i))
              strcat('Pm',num2str(i))
              strcat('Pv',num2str(i)) };
    Bt   = [0 0 0 1/Tg(i)]';
    L   = [0 -1/(2*H(i)) 0 0]';
    AIJ = zeros(4,length(link{i}));
    name_inputs{i} = { strcat('Pref',num2str(i))
              strcat('PL',num2str(i)) };
    for k = 1:length(link{i})
        j = link{i}(k);
        AIJ(2,k) = P(i,j)/(2*H(i));
        name_inputs{i}{length(name_inputs{i})+1} = strcat('delta',num2str(j));
    end
    
    B{i} = [ Bt L AIJ ];
    C{i} = eye(size(A{i}));
    D{i} = zeros(size(A{i},2),size(B{i},2));
   
    sys{i} = c2d(ss(A{i},B{i},C{i},D{i}),1);
    sys{i}.InputName  = name_inputs{i};
    sys{i}.StateName  = name_states{i};
    sys{i}.OutputName = name_states{i};
    sys{i}.Name = ['Area ', num2str(i)];
    
    name_external_inputs{length(name_external_inputs)+1} = name_inputs{i}{1} ;
    name_external_inputs{length(name_external_inputs)+1} = name_inputs{i}{2} ;
    name_external_outputs{length(name_external_outputs)+1} = name_states{i}{1} ;
    name_external_outputs{length(name_external_outputs)+1} = name_states{i}{2} ;
    name_external_outputs{length(name_external_outputs)+1} = name_states{i}{3} ;
    name_external_outputs{length(name_external_outputs)+1} = name_states{i}{4} ;
end

