function ctrl = exportToPNPMPC( obj )
    
    fprintf('\n------------------------------\n');
    fprintf('\nBuilding PnPMPC controller...\n');
    
    % get the LSmodel
    M = obj.M;

    if ~isa(M,'LSmodel')
        error('The object must be of "LSmodel" class.');
    end
    
    % get prediction horizon
    if isempty(obj.N)
        error('Please, provide the prediction horizon.');
    end
    N = obj.N;
    
    % get k
    if isempty(obj.k)
        error('Please, provide the ''k'' parameter.');
    end
    k = obj.k;
    
    % get m, p
    if isempty(obj.m)
        error('Please, provide the input types ''m''.');
    end
    m = obj.m;
    if isempty(obj.p)
        error('Please, provide the output types ''p''.');
    end
    p = obj.p;
    
    if ~isempty(obj.sdpsettings)
        opts = obj.sdpsettings;
        [ctrl, ~] = createCtrlPnPMPC4lsmodel(M, N, k, m, p, opts );
    else
        [ctrl, ~] = createCtrlPnPMPC4lsmodel(M, N, k, m, p);
    end
    fprintf('\nSUCCESS\n');
    fprintf('\n------------------------------\n');


end

