fprintf('\n-------------------------------------------------------------------\n');
fprintf('\tH2T');
fprintf('\n\tHYCON2 Matlab Toolbox \n\n');
fprintf('Copyright (C) 2013 by\n');                                          
fprintf('Alberto Guiggiani, Carlo Alberto Pascucci and Alberto Bemporad\n');    
fprintf('IMT Institute for Advanced Studies Lucca\n');                          
                                                                            
fprintf('\nContact: alberto.guiggiani@imtlucca.it\n');
                                                                                                                                                        
fprintf('\nThis toolbox aims at integrating in a standard framework multiple toolboxes developed\n');    
fprintf('within the HYCON2 project.\n');                         
fprintf('Starting from an unified modeling framework it is possible to check and set the parameters\n');    
fprintf('required by a given supported toolbox and then directly build the controller object,\n');     
fprintf('without the need to call toolbox-specific constructors.\n');        
                                                                            
fprintf('\nCredits for LSmodel class go to Davide Bercelli, Nick Bauer and Pavel Trnka.\n');                                                           
fprintf('Credits for MPT wrapper go to Martin Herceg, ETH Zurich.\n');               
fprintf('Credits for PnPMPC wrapper go to S. Riverso, A. Battocchio and \nG. Ferrari-Trecate, University of Pavia.\n');                                 
fprintf('-------------------------------------------------------------------'); 
fprintf('\nCurrently supported toolboxes:\n');
% <NEWTBX>
fprintf('\n- WIDE toolbox, available at:\n');
fprintf('\thttp://ist-wide.dii.unisi.it/index.php?p=toolboxsp\n');
fprintf('\tToolbox ');

if exist('decLMI','file')
    fprintf('[INSTALLED]\n');
else
    fprintf('[NOT INSTALLED]\n');
    fprintf('<<< WIDE toolbox REQUIRED >>>\n');
end

fprintf('\n- MPT toolbox, available at:\n');
fprintf('\thttp://control.ee.ethz.ch/~mpt/\n');
fprintf('\tToolbox ');

if exist('MPCController','file')
    fprintf('[INSTALLED]\n');
else
    fprintf('[NOT INSTALLED]\n');
end

fprintf('\n- PnPMPC toolbox, available at:\n');
fprintf('\thttp://sisdin.unipv.it/pnpmpc/pnpmpc.php\n');
fprintf('\tToolbox ');

if exist('pnpmpc','file')
    fprintf('[INSTALLED]\n');
else
    fprintf('[NOT INSTALLED]\n');
end

fprintf('-------------------------------------------------------------------'); 

addpath(genpath(fileparts(which(mfilename))));

fprintf('\nH2T ready, for a quickstart type:\n\n\thelp h2t\n');
fprintf('-------------------------------------------------------------------\n'); 

